hpp-corbaserver: _objref_PathPlanner Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_PathPlanner Class Reference

`#include <hpp/core_idl/path_planners-idl.hh>`

Inheritance diagram for _objref_PathPlanner:
[legend]
Collaboration diagram for _objref_PathPlanner:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
PathVector_ptr | solve ()
void | startSolve ()
void | tryConnectInitAndGoals ()
void | oneStep ()
PathVector_ptr | computePath ()
PathVector_ptr | finishSolve (::hpp::core_idl::PathVector_ptr path)
void | interrupt ()
void | maxIterations (::hpp::size_type n)
void | timeOut (::hpp::value_type seconds)
Roadmap_ptr | getRoadmap ()
void | stopWhenProblemIsSolved (::CORBA::Boolean enable)
| _objref_PathPlanner ()
| _objref_PathPlanner (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_PathPlanner ()

## Friends
class | PathPlanner

## Constructor & Destructor Documentation

## ◆ _objref_PathPlanner() [1/2]

_objref_PathPlanner::_objref_PathPlanner | ( |  | ) |
| inline

## ◆ _objref_PathPlanner() [2/2]

_objref_PathPlanner::_objref_PathPlanner | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_PathPlanner()

virtual _objref_PathPlanner::~_objref_PathPlanner | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ computePath()

PathVector_ptr _objref_PathPlanner::computePath | ( |  | ) |

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_PathPlanner::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_PathPlanner::deleteThis | ( |  | ) |

## ◆ finishSolve()

PathVector_ptr _objref_PathPlanner::finishSolve | ( | ::hpp::core_idl::PathVector_ptr | path | ) |

## ◆ getRoadmap()

Roadmap_ptr _objref_PathPlanner::getRoadmap | ( |  | ) |

## ◆ interrupt()

void _objref_PathPlanner::interrupt | ( |  | ) |

## ◆ maxIterations()

void _objref_PathPlanner::maxIterations | ( | ::hpp::size_type | n | ) |

## ◆ oneStep()

void _objref_PathPlanner::oneStep | ( |  | ) |

## ◆ persistantStorage()

void _objref_PathPlanner::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ solve()

PathVector_ptr _objref_PathPlanner::solve | ( |  | ) |

## ◆ startSolve()

void _objref_PathPlanner::startSolve | ( |  | ) |

## ◆ stopWhenProblemIsSolved()

void _objref_PathPlanner::stopWhenProblemIsSolved | ( | ::CORBA::Boolean | enable | ) |

## ◆ timeOut()

void _objref_PathPlanner::timeOut | ( | ::hpp::value_type | seconds | ) |

## ◆ tryConnectInitAndGoals()

void _objref_PathPlanner::tryConnectInitAndGoals | ( |  | ) |

## Friends And Related Symbol Documentation

## ◆ PathPlanner

friend class PathPlanner
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_planners-idl.hh